Subject: Re: [lojban] latna: Lotus or Nelumbo?

From: Pierre Abbat <[email-masked]>
Date: Mon, 29 Oct 2001 21:48:42 -0500

I've added three of the four kinds of lotus. Bujlatna or xinlatna (I'm not 
sure which word is better) is Nelumbo, misrylatna is Nymphaea (I'm thinking 
of restricting this to N. caerulea or that and N. lotus, and using nimfaia as 
a general term for waterlilies), deblatna (latnydembi? does it have any 
religious significance?) is Lotus, and xeslatna I'll put in there if someone 
can find out what it was.

phma